import Utils from "~/utils"

/**
* Gitset Check规则
*/
let checkObj = {
    "liaall.misamt"                      :null,
    "setmod.setglg.setgll01.setgrp.snd756.pts.adrblk"                      :null,
    "setmod.setglg.setgll01.sespay.coract"                      :null,
    "setmod.setglg.setgll01.setgrp.actser.adrelc"                      :null,
    "cnybop.outflg"                      :null,
    "setmod.setglg.setgll01.setgrp.rcvcor.pts.adrblk"                      :null,
    "gcdgrp.oth.adrelc"                      :null,
    "setmod.setglg.setgll01.setgrp.tri.namelc"                      :null,
    "setmod.setglg.setgll01.sespay.strinf"                      :null,
    "liaall.limmod.limpts.oth.pts.nam"                      :null,
    "setmod.dspflg"                      :null,
    "setmod.setglg.setgll01.sespay.rcvcoracc"                      :null,
    "setmod.setglg.setgll01.sespay.beiacc"                      :null,
    "liaall.liaccv.totcovamt"                      :null,
    "setmod.setglg.setgll01.setgrp.bei.adrelc"                      :null,
    "gcdgrp.prb.namelc"                      :null,
    "setmod.setglg.setgll01.setgrp.ori.pts.adrblk"                      :null,
    "gcdgrp.prb.pts.adrblk"                      :null,
    "liaall.limmod.limpts.wrk.pts.nam"                      :null,
    "cnybop.cnyflg"                      :null,
    "setmod.setglg.setgll01.sespay.rcvcorp.ptsget.sdamod.dadsnd"                      :null,
    "setmod.setglg.setgll01.sespay.trip.ptsget.sdamod.dadsnd"                      :null,
    "setmod.setglg.setgll01.setgrp.actser.pts.extkey"                      :null,
    "setmod.setglg.setgll01.setgrp.bei.namelc"                      :null,
    "setmod.setglg.setgll01.sespay.rcvcor2p.ptsget.sdamod.dadsnd"                      :null,
    "gctp.othp.ptsget.sdamod.dadsnd"                      :null,
    "setmod.setglg.setgll01.sespay.triacc"                      :null,
    "setmod.setglg.setgll01.setgrp.tri.pts.extkey"                      :null,
    "setmod.setglg.setgll01.setgrp.snd756.namelc"                      :null,
    "setmod.setglg.setgll01.setgrp.rcvcor.adrelc"                      :null,
    "setmod.setglg.setgll01.setgrp.rcvcor2.pts.adrblk"                      :null,
    "liaall.limmod.wrkp.ptsget.sdamod.dadsnd"                      :null,
    "setmod.setglg.setgll01.setgrp.rcvcor2.namelc"                      :null,
    "gcdgrp.oth.pts.extkey"                      :null,
    "setmod.setglg.setgll01.sespay.strinf202"                      :null,
    "setmod.setglg.setgll01.setgrp.rcvcor.pts.extkey"                      :null,
    "setmod.setglg.setgll01.setgrp.ori.adrelc"                      :null,
    "liaall.limmod.limpts.oth.pts.extkey"                      :null,
    "gcdgrp.prb.adrelc"                      :null,
    "liaall.limmod.ownref"                      :null,
    "liaall.limmod.ecifno"                      :null,
    "setmod.setglg.setgll01.setgrp.rcvcor2.pts.extkey"                      :null,
    "setmod.setglg.setgll01.setgrp.bei.pts.extkey"                      :null,
    "gcdgrp.oth.namelc"                      :null,
    "bopmod.szflg"                      :null,
    "gctp.recget.sdamod.dadsnd"                      :null,
    "liaall.limmod.othp.ptsget.sdamod.dadsnd"                      :null,
    "setmod.setglg.setgll01.setgrp.ori.pts.extkey"                      :null,
    "cnybop.traflg"                      :null,
    "setmod.setglg.setgll01.sespay.snd756.ptsget.sdamod.dadsnd"                      :null,
    "gcdgrp.prb.pts.extkey"                      :null,
    "gctp.ischktyp"                      :null,
    "gctp.prechkdat"                      :null,
    "setmod.setglg.setgll01.setgrp.tri.adrelc"                      :null,
    "gctp.gidget.sdamod.dadsnd"                      :null,
    "setmod.setglg.setgll01.setgrp.rcvcor.namelc"                      :null,
    "trnmod.cmtflg"                      :null,
    "setmod.setglg.setgll01.sespay.orip.ptsget.sdamod.dadsnd"                      :null,
    "liaall.limmod.limpts.wrk.pts.extkey"                      :null,
    "setmod.setglg.setgll01.sespay.beip.ptsget.sdamod.dadsnd"                      :null,
    "gcdgrp.apl.pts.nam"                      :null,
    "bopmod.basflg"                      :null,
    "setmod.setglg.setgll01.sespay.corbnk"                      :null,
    "setmod.setglg.setgll01.setgrp.ori.namelc"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "setmod.setglg.setgll01.setgrp.actser.namelc"                      :null,
    "setmod.setglg.setgll01.setgrp.bei.pts.adrblk"                      :null,
    "liaall.limmod.limpts.nonrevflg1"                      :null,
    "setmod.setglg.setgll01.setgrp.tri.pts.adrblk"                      :null,
    "setmod.setglg.setgll01.sespay.evebnk"                      :null,
    "gctp.prbp.ptsget.sdamod.dadsnd"                      :null,
    "cnybop.libflg"                      :null,
    "bopmod.ownextkey"                      :null,
    "setmod.setglg.setgll01.setgrp.actser.pts.adrblk"                      :null,
    "setmod.docamt"                      :null,
    "setmod.setglg.setgll01.setgrp.snd756.adrelc"                      :null,
    "liaall.liaccv.cshpct"                      :null,
    "bopmod.acttyp"                      :null,
    "gcdgrp.oth.pts.adrblk"                      :null,
    "setmod.setglg.setgll01.setgrp.rcvcor2.adrelc"                      :null,
    "setmod.setglg.setgll01.actserp.ptsget.sdamod.dadsnd"                      :null,
    "setmod.setglg.setgll01.setgrp.snd756.pts.extkey"                      :null,
    "liaall.liaccv.relcshpct"                      :null,
    "mtabut.clsflg"                      :null,
    "cnybop.vouflg"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

