import Utils from "~/utils"

/**
* Gitcrq Check规则
*/
let checkObj = {
    "liaall.misamt"                      :null,
    "gcdgrp.rec.newexpdat"                      :null,
    "gcdgrp.rec.docprbrol"                      :null,
    "gcdgrp.oth.adrelc"                      :null,
    "gcdgrp.rec.clmdat"                      :null,
    "liaall.limmod.limpts.oth.pts.nam"                      :null,
    "setmod.dspflg"                      :null,
    "gcdgrp.prb.namelc"                      :null,
    "gcdgrp.prb.pts.adrblk"                      :null,
    "liaall.limmod.limpts.wrk.pts.nam"                      :null,
    "gctp.othp.ptsget.sdamod.dadsnd"                      :null,
    "payday"                      :null,
    "liaall.limmod.wrkp.ptsget.sdamod.dadsnd"                      :null,
    "gcdgrp.oth.pts.extkey"                      :null,
    "liaall.limmod.limpts.oth.pts.extkey"                      :null,
    "gcdgrp.prb.adrelc"                      :null,
    "liaall.limmod.ownref"                      :null,
    "liaall.limmod.ecifno"                      :null,
    "gcdgrp.oth.namelc"                      :null,
    "gctp.recget.sdamod.dadsnd"                      :null,
    "gcdgrp.rec.payrol"                      :null,
    "liaall.limmod.othp.ptsget.sdamod.dadsnd"                      :null,
    "gcdgrp.prb.pts.extkey"                      :null,
    "gcdgrp.rec.ownref"                      :null,
    "gctp.gidget.sdamod.dadsnd"                      :null,
    "liaall.limmod.limpts.wrk.pts.extkey"                      :null,
    "gcdgrp.apl.pts.nam"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "outlen.acttyp"                      :null,
    "liaall.limmod.limpts.nonrevflg1"                      :null,
    "gctp.prbp.ptsget.sdamod.dadsnd"                      :null,
    "outlen.szflg"                      :null,
    "setmod.docamt"                      :null,
    "gcdgrp.cbs.max2.amt"                      :null,
    "gcdgrp.oth.pts.adrblk"                      :null,
    "gcdgrp.cbs.max.amt"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

