
/**
* Gitset Default规则
*/
import Api from "~/service/Api";
import Utils from "~/utils/index"

export default {
    "setmod.setglg.setgll01.setgrp.snd756.pts.extkey"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.snd756.adrelc"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.snd756.namelc"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.snd756.dbfadrblkcn"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.snd756.pts.adrblk"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.ori.pts.extkey"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.ori.adrelc"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.ori.namelc"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.ori.dbfadrblkcn"                      :Utils.defaultFunction,
    "liaall.limmod.limpts.oth.pts.extkey"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.actser.pts.adrblk"                      :Utils.defaultFunction,
    "gcdgrp.cbs.max2.amt"                      :Utils.defaultFunction,
    "cnybop.libflg"                      :Utils.defaultFunction,
    "gidgrp.rec.ownref"                      :Utils.defaultFunction,
    "gcdgrp.rec.ownref"                      :Utils.defaultFunction,
    "gcdgrp.prb.pts.extkey"                      :Utils.defaultFunction,
    "gcdgrp.prb.adrelc"                      :Utils.defaultFunction,
    "gcdgrp.prb.namelc"                      :Utils.defaultFunction,
    "gcdgrp.prb.dbfadrblkcn"                      :Utils.defaultFunction,
    "gcdgrp.prb.pts.adrblk"                      :Utils.defaultFunction,
    "setmod.doccur"                      :Utils.defaultFunction,
    "setmod.dspflg"                      :Utils.defaultFunction,
    "setmod.docamt"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.actser.pts.extkey"                      :Utils.defaultFunction,
    "trnmod.trndoc.condocstm"                      :Utils.defaultFunction,
    "trnmod.trndoc.shwinc"                      :Utils.defaultFunction,
    "trnmod.trndoc.shwout"                      :Utils.defaultFunction,
    "gcdgrp.cbs.max.cur"                      :Utils.defaultFunction,
    "gcdgrp.apl.pts.nam"                      :Utils.defaultFunction,
    "gcdgrp.cbs.max.amt"                      :Utils.defaultFunction,
    "gcdgrp.oth.pts.extkey"                      :Utils.defaultFunction,
    "gcdgrp.oth.adrelc"                      :Utils.defaultFunction,
    "gcdgrp.oth.namelc"                      :Utils.defaultFunction,
    "gcdgrp.oth.dbfadrblkcn"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.tri.pts.adrblk"                      :Utils.defaultFunction,
    "bopmod.szflg"                      :Utils.defaultFunction,
    "bopmod.basflg"                      :Utils.defaultFunction,
    "gcdgrp.oth.pts.adrblk"                      :Utils.defaultFunction,
    "trnmod.swftyp"                      :Utils.defaultFunction,
    "mtabut.coninf.usr.extkey"                      :Utils.defaultFunction,
    "liaall.limmod.limpts.wrk.pts.extkey"                      :Utils.defaultFunction,
    "gidgrp.rec.gartyp"                      :Utils.defaultFunction,
    "gidgrp.rec.liadat"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.rcvcor.pts.adrblk"                      :Utils.defaultFunction,
    "liaall.limmod.limpts.nonrevflg2"                      :Utils.defaultFunction,
    "liaall.limmod.limpts.nonrevflg1"                      :Utils.defaultFunction,
    "bopmod.vrfflg"                      :Utils.defaultFunction,
    "bopmod.dclflg"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.rcvcor2.pts.extkey"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.rcvcor2.adrelc"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.rcvcor2.namelc"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.rcvcor2.dbfadrblkcn"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.bei.pts.extkey"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.bei.adrelc"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.bei.namelc"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.bei.dbfadrblkcn"                      :Utils.defaultFunction,
    "trnmod.cmtflg"                      :Utils.defaultFunction,
    "gidgrp.rec.expdat"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.actser.adrelc"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.actser.namelc"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.actser.dbfadrblkcn"                      :Utils.defaultFunction,
    "liaall.liaccv.addinf"                      :Utils.defaultFunction,
    "liaall.liaccv.totcovamt"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.tri.pts.extkey"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.bei.pts.adrblk"                      :Utils.defaultFunction,
    "cnybop.vouflg"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.rcvcor.pts.extkey"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.rcvcor.adrelc"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.rcvcor.namelc"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.rcvcor.dbfadrblkcn"                      :Utils.defaultFunction,
    "liaall.limmod.limpts.oth.pts.nam"                      :Utils.defaultFunction,
    "liaall.liaccv.concur"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.sespay.comsystbl"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.ori.pts.adrblk"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.rcvcor2.pts.adrblk"                      :Utils.defaultFunction,
    "gcdgrp.rec.frepayflg"                      :Utils.defaultFunction,
    "cnybop.traflg"                      :Utils.defaultFunction,
    "cnybop.cnyflg"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.tri.adrelc"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.tri.namelc"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.setgrp.tri.dbfadrblkcn"                      :Utils.defaultFunction,
    "gctp.ischktyp"                      :Utils.defaultFunction,
    "gcdgrp.ben.pts.nam"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.sespay.corbnk"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.sespay.evebnk"                      :Utils.defaultFunction,
    "setmod.setglg.setgll01.sespay.coract"                      :Utils.defaultFunction,
    "gidgrp.rec.cmtflg"                      :Utils.defaultFunction,
    "liaall.limmod.comamt"                      :Utils.defaultFunction,
    "liaall.limmod.ccvamt"                      :Utils.defaultFunction,
    "liaall.limmod.limpts.wrk.pts.nam"                      :Utils.defaultFunction,
    "gcdgrp.cbs.opn1.amt"                      :Utils.defaultFunction,
    "gidgrp.cbs.opn1.amt"                      :Utils.defaultFunction,
    "setmod.glemod.gleshwstm"                      :Utils.defaultFunction,
    "liaall.misamt"                      :Utils.defaultFunction,
    "liaall.liaccv.newamt"                      :Utils.defaultFunction,
    "mtabut.coninf.oitinf.oit.inftxt"                      :Utils.defaultFunction,
    "mtabut.coninf.oitinf.oit.inflev"                      :Utils.defaultFunction,
    "paypsb"                      :Utils.defaultFunction,
    "mtabut.clsflg"                      :Utils.defaultFunction,
    "mtabut.coninf.conexedat"                      :Utils.defaultFunction,
    "cnybop.outflg"                      :Utils.defaultFunction,
    "gcdgrp.rec.payrol"                      :Utils.defaultFunction,
    "gctp.aplmullab"                      :Utils.defaultFunction,
    "liaall.liaccv.cshpct"                      :Utils.defaultFunction,
    "mtabut.coninf.oitset.oit.inftxt"                      :Utils.defaultFunction,
    "mtabut.coninf.oitset.oit.inflev"                      :Utils.defaultFunction,
    "gcdgrp.rec.docprbrol"                      :Utils.defaultFunction,
}
//你可以添加自动default处理
