import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Infpty{
    constructor () {
        this.data = {
						ptysea:{
							nam:"",			//  External Visible Name		.ptysea.nam
							extkey:"",			//  Party No.		.ptysea.extkey
						},
						adrsea:{
							str1:"",			//  Street/SWIFT Line 3		.adrsea.str1
							bic:"",			//  BIC 		.adrsea.bic
							loctxt:"",			//  Textpart of City/Second Part of SWIFT Line 4		.adrsea.loctxt
							loczip:"",			//  ZIP Code		.adrsea.loczip
						},
						seatypb:"",			//  Bank		.seatypb
						seatypc:"",			//  Client		.seatypc
						seatypa:"",			//  Own Address		.seatypa
						seatypo:"",			//  Other		.seatypo
						infbut:{
							dspstm:"",			//  display stream		.infbut.dspstm
						},
						seatyph:"",			//  海关		.seatyph
						persontype:"",			//  客户类别		.persontype
						zhbchinr:"",			//  支行行号		.zhbchinr
						shxydm:"",			//  统一社会信用代码		.shxydm
						jyzt:"",			//  交易主体		.jyzt
						recgrp:{
							rec:{
								extkey:"",			//  Address Number		.recgrp.rec.extkey
								nam:"",			//  Party Name		.recgrp.rec.nam
								adrsta:"",			//  Address Status		.recgrp.rec.adrsta
								hbkaccflg:"",			//  Use Accounting of House Bank		.recgrp.rec.hbkaccflg
								heqaccflg:"",			//  Use Accounting of Headquarters		.recgrp.rec.heqaccflg
								accusr:"",			//  User ID of Account Officer		.recgrp.rec.accusr
								nam1:"",			//  Chinese name		.recgrp.rec.nam1
								juscod:"",			//  组织机构'码		.recgrp.rec.juscod
								dshflg:"",			//  是否电商		.recgrp.rec.dshflg
							},
							typb:"",			//  Bank		.recgrp.typb
							typc:"",			//  Client		.recgrp.typc
							typa:"",			//  Own Address		.recgrp.typa
							typo:"",			//  Other		.recgrp.typo
							adrmaa:{
								nam1:"",			//  Name 1/SWIFT Line 1		.recgrp.adrmaa.nam1
								nam2:"",			//  Name 2/SWIFT Line 2		.recgrp.adrmaa.nam2
								nam3:"",			//  Name 3		.recgrp.adrmaa.nam3
								str1:"",			//  Street/SWIFT Line 3		.recgrp.adrmaa.str1
								str2:"",			//  Optional Second Line of Street		.recgrp.adrmaa.str2
								loczip:"",			//  ZIP Code/First Part of SWIFT Line 4		.recgrp.adrmaa.loczip
								loctxt:"",			//  Textpart of City/Second Part of SWIFT Line 4		.recgrp.adrmaa.loctxt
								loc2:"",			//  Optional Second Line of City		.recgrp.adrmaa.loc2
								pob:"",			//  Line with Postbox		.recgrp.adrmaa.pob
								pobzip:"",			//  ZIP Code Used when Addressing Postbox		.recgrp.adrmaa.pobzip
								pobtxt:"",			//  Textpart of City Used when Addressing Postbox		.recgrp.adrmaa.pobtxt
								loccty:"",			//  Country		.recgrp.adrmaa.loccty
								eml:"",			//  eMail/Internet		.recgrp.adrmaa.eml
								tel1:"",			//  Telephone 1		.recgrp.adrmaa.tel1
								tel2:"",			//  Telephone 2		.recgrp.adrmaa.tel2
								fax1:"",			//  Telefax 1		.recgrp.adrmaa.fax1
								fax2:"",			//  Telefax 2		.recgrp.adrmaa.fax2
								tlx:"",			//  Telex Number		.recgrp.adrmaa.tlx
								bic:"",			//  BIC of Address Optional		.recgrp.adrmaa.bic
								bid:"",			//  Branch Identification Used in Option B of SWIFT Fieldtags		.recgrp.adrmaa.bid
								tid:"",			//  TradeConnect ID		.recgrp.adrmaa.tid
								blz:"",			//  Bankleitzahl German Clearing Code		.recgrp.adrmaa.blz
								clc:"",			//  Clearing Code for Banks		.recgrp.adrmaa.clc
								uil:"",			//  Default Language Code		.recgrp.adrmaa.uil
								cortyp:"",			//  Primary Output Chanel of Messages SWT, LET, TLX, TCO		.recgrp.adrmaa.cortyp
								dpt:"",			//  Department		.recgrp.adrmaa.dpt
								adr1:"",			//  Chinese Address		.recgrp.adrmaa.adr1
								adr2:"",			//  		.recgrp.adrmaa.adr2
								adr3:"",			//  		.recgrp.adrmaa.adr3
							},
							hbk:{
								extkey:"",			//  Address Number		.recgrp.hbk.extkey
								nam:"",			//  External Visible Name		.recgrp.hbk.nam
							},
							heq:{
								extkey:"",			//  Address Number		.recgrp.heq.extkey
								nam:"",			//  External Visible Name		.recgrp.heq.nam
							},
							typh:"",			//  海关		.recgrp.typh
							ptamaa:{
								issbchinf:"",			//  Info of bank		.recgrp.ptamaa.issbchinf
							},
						},
						recpan:{
							recget:{
								sdamod:{
									seainf:"",			//  		.recpan.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.recpan.recget.sdamod.dadsnd
								},
							},
							hbkget:{
								sdamod:{
									seainf:"",			//  		.recpan.hbkget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.recpan.hbkget.sdamod.dadsnd
								},
							},
							heqget:{
								sdamod:{
									seainf:"",			//  		.recpan.heqget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.recpan.heqget.sdamod.dadsnd
								},
							},
							bchkey:"",			//  Branch Key		.recpan.bchkey
						},
						pageId: ""			// ctx的key
				}
    }
}